## libqapt 3.0.5

=== CMakeLists.txt ===
project(qapt)
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT_VERSION_MAJOR 3)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 5)
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}" )
set(PROJECT_SOVERSION ${PROJECT_VERSION_MAJOR})

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMGeneratePriFile) # This needs InstallDirs

# Turn exceptions on
kde_enable_exceptions()

set(REQUIRED_QT_VERSION 5.8.0) # Used in QAptConfig
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Widgets)

find_package(Xapian REQUIRED)
find_package(AptPkg REQUIRED)

find_package(PolkitQt5-1 0.112 REQUIRED)

# Find the required Libaries
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${POLKITQT-1_INCLUDE_DIR}
    ${XAPIAN_INCLUDE_DIR}
    ${APTPKG_INCLUDE_DIR})

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX QAPT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QAptConfigVersion.cmake"
                  SOVERSION ${PROJECT_SOVERSION})

set(QAPT_WORKER_VERSION ${PROJECT_SOVERSION})
set(QAPT_WORKER_RDN org.kubuntu.qaptworker)
set(QAPT_WORKER_RDN_VERSIONED ${QAPT_WORKER_RDN}${QAPT_WORKER_VERSION})

# For forwarding into C++ convert them into properly excaped strings.
set(QAPT_WORKER_VERSION_STRING \"${QAPT_WORKER_VERSION}\")
set(QAPT_WORKER_RDN_VERSIONED_STRING \"${QAPT_WORKER_RDN_VERSIONED}\")

add_definitions(-DQAPT_WORKER_VERSION_STRING=${QAPT_WORKER_VERSION_STRING})
add_definitions(-DQAPT_WORKER_RDN_VERSIONED_STRING=${QAPT_WORKER_RDN_VERSIONED_STRING})

# Also forward version for utils.
add_definitions(-DCMAKE_PROJECT_VERSION=\"${PROJECT_VERSION}\")

set(KF5_DEP_VERSION "5.0.0")

# Only used to install worker actions
find_package(KF5Auth ${KF5_DEP_VERSION})

# Used for utils
find_package(KF5CoreAddons ${KF5_DEP_VERSION})
find_package(KF5I18n ${KF5_DEP_VERSION})
find_package(KF5KIO ${KF5_DEP_VERSION})
find_package(KF5Runner ${KF5_DEP_VERSION})
find_package(KF5TextWidgets ${KF5_DEP_VERSION})
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION})
find_package(KF5WindowSystem ${KF5_DEP_VERSION})
find_package(KF5IconThemes ${KF5_DEP_VERSION})

find_package(DebconfKDE 1.0)
find_package(GStreamer 1.0)
find_package(GLIB2 2.0)

if (KF5CoreAddons_FOUND
        AND KF5I18n_FOUND
        AND KF5KIO_FOUND
        AND KF5Runner_FOUND
        AND KF5TextWidgets_FOUND
        AND KF5WidgetsAddons_FOUND
        AND KF5WindowSystem_FOUND
        AND KF5IconThemes_FOUND
        AND DebconfKDE_FOUND)
    set(WITH_UTILS true)
endif()

if (WITH_UTILS AND GSTREAMER_FOUND AND GLIB2_FOUND)
    set(WITH_GSTREAMER true)
    add_definitions(${GSTREAMER_DEFINITIONS})
endif()

add_feature_info(qapt-utils WITH_UTILS "Runtime utilities using KDE frameworks")
add_feature_info(qapt-gst-helper WITH_GSTREAMER "GStreamer codec helper util")

message(WARNING "gettext and tr in the same source is insanely tricky, maybe we should give some ki18n to qapt...")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/QApt")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QAptConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/QAptConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/QAptConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/QAptConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)
install(EXPORT QAptTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE QAptTargets.cmake
        NAMESPACE QApt:: )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qaptversion.h
        DESTINATION include/qapt
        COMPONENT Devel)

add_subdirectory(autotests)
add_subdirectory(src)

if(WITH_UTILS)
    add_subdirectory(utils)

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    #PO_SUBDIR
    #DOC_SUBDIR
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libqapt.pc.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libqapt.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    COMPONENT Devel)

ecm_generate_pri_file(BASE_NAME QApt
    LIB_NAME QApt
    DEPS "core widgets dbus"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR include/QApt)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

# FIXME: the data doesn't need to be copied, the absolute path to the data should be passed through definitions to the target
configure_file(
    data/test1.list
    ${CMAKE_CURRENT_BINARY_DIR}/data/test1.list
    COPYONLY
)

configure_file(
    data/test2.list
    ${CMAKE_CURRENT_BINARY_DIR}/data/test2.list
    COPYONLY
)

ecm_add_test(dependencyinfotest.cpp
    LINK_LIBRARIES
        Qt5::Test
        QApt::Main)

ecm_add_test(sourceslisttest.cpp
    LINK_LIBRARIES
        Qt5::Test
        QApt::Main)

ecm_add_test(transactionerrorhandlingtest.cpp
    LINK_LIBRARIES
        Qt5::Test
        QApt::Main)

=== src/CMakeLists.txt ===
set(qapt_SRCS
    backend.cpp
    cache.cpp
    package.cpp
    config.cpp
    history.cpp
    debfile.cpp
    dependencyinfo.cpp
    changelog.cpp
    transaction.cpp
    downloadprogress.cpp
    markingerrorinfo.cpp
    sourceentry.cpp
    sourceslist.cpp)

add_subdirectory(worker)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    APPEND PROPERTY
        INCLUDE downloadprogress.h
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    APPEND PROPERTY
        NO_NAMESPACE 1
)

message(WARNING "terrible use of transaction xml file")
qt5_add_dbus_interface(qapt_SRCS
                       ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
                       transactioninterface_p)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.xml
    APPEND PROPERTY
        NO_NAMESPACE 1
)

message(WARNING "terrible use of  worker xml file")
qt5_add_dbus_interface(qapt_SRCS
                       ${CMAKE_CURRENT_BINARY_DIR}/worker/${QAPT_WORKER_RDN_VERSIONED}.xml
                       workerinterface_p)

configure_file(dbusinterfaces_p.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/dbusinterfaces_p.h)

add_library(QApt SHARED ${qapt_SRCS})
add_library(QApt::Main ALIAS QApt)

# Set header paths for target so the utils can find them.
target_include_directories(QApt PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")
target_include_directories(QApt INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/QApt>" )

set_target_properties(QApt
    PROPERTIES
    VERSION ${QAPT_VERSION_STRING}
    SOVERSION ${QAPT_SOVERSION}
    EXPORT_NAME Main)

target_link_libraries(QApt
    PUBLIC
        Qt5::Widgets
        ${APTPKG_LIBRARIES}
    PRIVATE
        Qt5::DBus
        ${XAPIAN_LIBRARIES})

install(TARGETS QApt EXPORT QAptTargets LIBRARY DESTINATION ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(QAPT_CAMEL_CASE_HEADERS
    HEADER_NAMES
        Backend
        Changelog
        Config
        DebFile
        DependencyInfo
        DownloadProgress
        Globals
        History
        MarkingErrorInfo
        Package
        SourceEntry
        SourcesList
        Transaction

  REQUIRED_HEADERS QAPT_HEADERS
  PREFIX QApt)

install(FILES ${QAPT_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/qapt COMPONENT Devel)
install(FILES ${QAPT_CAMEL_CASE_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/QApt COMPONENT Devel)

=== src/worker/CMakeLists.txt ===
configure_file(org.kubuntu.qaptworker.transaction.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml)
configure_file(org.kubuntu.qaptworker.xml.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml)
configure_file(org.kubuntu.qaptworker.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service)
configure_file(qaptworker.actions.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
configure_file(org.kubuntu.qaptworker.policy.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy)
configure_file(org.kubuntu.qaptworker.conf.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf)
configure_file(urihelper.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/urihelper.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src)

set(qapt_worker_SRCS
    main.cpp
    aptlock.cpp
    aptworker.cpp
    transaction.cpp
    transactionqueue.cpp
    workeracquire.cpp
    workerdaemon.cpp
    workerinstallprogress.cpp)

qt5_add_dbus_adaptor(qapt_worker_adaptor_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.transaction.xml
    transaction.h
    Transaction
    transactionadaptor
    TransactionAdaptor)

qt5_add_dbus_adaptor(qapt_worker_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.xml
    workerdaemon.h
    WorkerDaemon
    workeradaptor
    WorkerAdaptor)

add_executable(qaptworker${QAPT_WORKER_VERSION}
    ${qapt_worker_SRCS}
    ${qapt_worker_adaptor_SRCS})

target_link_libraries(qaptworker${QAPT_WORKER_VERSION}
    Qt5::Core
    Qt5::DBus
    PolkitQt5-1::Core
    util
    QApt::Main)

install(TARGETS qaptworker${QAPT_WORKER_VERSION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.service
        DESTINATION ${DBUS_SYSTEM_SERVICES_INSTALL_DIR})

if(KF5Auth_FOUND)
    kauth_install_actions(${QAPT_WORKER_RDN_VERSIONED} ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.actions)
else()
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.policy
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QAPT_WORKER_RDN_VERSIONED}.conf
    DESTINATION ${SYSCONF_INSTALL_DIR}/dbus-1/system.d/)

=== utils/plasma-runner-installer/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"plasma-runner-installer\")

add_library(krunner_installer MODULE installerrunner.cpp)

target_link_libraries(krunner_installer
    KF5::I18n
    KF5::Runner)

install(TARGETS krunner_installer DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES plasma-runner-installer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== utils/qapt-batch/CMakeLists.txt ===
set(qaptbatch_SRCS
    main.cpp
    qaptbatch.cpp
    detailswidget.cpp
)

add_executable(qapt-batch ${qaptbatch_SRCS})

target_link_libraries(qapt-batch
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::WidgetsAddons
    KF5::WindowSystem
    QApt::Main)

install(TARGETS qapt-batch ${INSTALL_TARGETS_DEFAULT_ARGS})

=== utils/qapt-deb-installer/CMakeLists.txt ===
set(qapt-deb-installer_SRCS
    main.cpp
    DebCommitWidget.cpp
    DebInstaller.cpp
    DebViewer.cpp
    ChangesDialog.cpp)

add_executable(qapt-deb-installer ${qapt-deb-installer_SRCS})

target_link_libraries(qapt-deb-installer
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::TextWidgets
    KF5::WidgetsAddons
    DebconfKDE::Main
    QApt::Main)

install(TARGETS qapt-deb-installer ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS qapt-deb-installer.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
libqapt (3.0.5-5) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113189)
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 07:26:45 +0200

libqapt (3.0.5-4) unstable; urgency=medium

  * Disable the utilities based on KDE Frameworks 5, as they are either not
    used, not usable in a Qt 6 based Plasma environment, or potentially not
    working: (Closes: #667070, #667524, #725721, #986010, #989807)
    - drop various build dependencies: libdebconf-kde-dev, libglib2.0-dev,
      libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, libkf5iconthemes-dev, libkf5kio-dev,
      libkf5plasma-dev, libkf5runner-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, and libkf5windowsystem-dev
    - drop binary packages for them: qapt-batch, qapt-deb-installer,
      plasma-runner-installer, kde-thumbnailer-deb, gstreamer-qapt, and the
      metapackage qapt-utils
    - drop translations of dropped components
  * Bump Standards-Version to 4.7.2, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Replace the policykit-1-gnome alternative dependency in libqapt3-runtime
    with a more generic polkit-1-auth-agent: the KDE agent is still the first
    option, and now other agents are allowed as well.
  * Simplify some GPL & LGPL license texts in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Apr 2025 13:59:12 +0200

libqapt (3.0.5-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kde-thumbnailer-deb: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.8.12).
    + Build-Depends: Drop versioned constraint on extra-cmake-modules (>=
      0.0.14).
    + Build-Depends: Drop versioned constraint on libapt-pkg-dev (>= 0.8.0).
    + Build-Depends: Drop versioned constraint on libdebconf-kde-dev (>= 1.0.0).
    + Build-Depends: Drop versioned constraint on libkf5auth-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5coreaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5i18n-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5iconthemes-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5kio-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5runner-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5textwidgets-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5widgetsaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5windowsystem-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libpolkit-qt5-1-dev (>=
      0.112).
    + Build-Depends: Drop versioned constraint on pkg-kde-tools (>> 0.15.15).
    + Build-Depends: Drop versioned constraint on qtbase5-dev (>= 5.8.0).
    + libqapt-dev: Drop versioned constraint on qtbase5-dev (>= 5.2.0) in
      Depends.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Replaces.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Breaks.

  [ Arun Kumar Pariyar ]
  * Add a patch to fix FTBFS by using C++17 (closes: #1089202).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Dec 2024 01:15:06 +0300

libqapt (3.0.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Remove listed license files (cmake/modules/COPYING-CMAKE-SCRIPTS) from
    copyright.
  * Bump watch file to v4, no changes required.
  * Switch Homepage & Source to the current upstream repository.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Drop the migration from qapt-dbg, no more needed after two Debian stable
    releases.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Add #include's needed with newer versions of GCC; patch
    missing-includes.diff.
  * Update lintian overrides.
  * Update Maintainer to the canonical form.
  * CI: disable reprotest path variations for now.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 07:37:06 +0200

libqapt (3.0.5-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop the transitional package gstreamer0.10-qapt (Closes: 940751)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - explicitly add gettext
  * Update the patches:
    - 0001-Fix-Package-supportedUntil-never-getting-the-date.patch: drop,
      backported from upstream
    - apt-1.9.0.patch: drop, fixed upstream
    - apt-1.9.11.patch: drop, fixed upstream
  * Update Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove the commented 'testsuite' autopkgtest.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Apr 2020 10:08:09 +0200

libqapt (3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * apt 2.0 porting (Closes: #953308)
    - Port to APT 1.9.0


=== debian/control ===
Source: libqapt
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libapt-pkg-dev,
               libkf5auth-dev,
               libpolkit-qt5-1-dev,
               libxapian-dev,
               pkgconf,
               pkg-kde-tools,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/system/libqapt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qapt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qapt.git

Package: libqapt3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqapt3-runtime (= ${binary:Version})
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapt-pkg-dev,
         libqapt3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt3-runtime
Architecture: any
Depends: polkit-kde-agent-1 | polkit-1-auth-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_test:
	# Disable dh_auto_test
	:

execute_after_dh_auto_install:
	# drop translations of not shipped components
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_runner_installer.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qapt-deb-installer.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qapt-gst-helper.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qaptbatch.qm

=== debian/tests/control ===
Tests: acc
Depends: @, dh-acc, exuberant-ctags

## libqapt 3.0.5.2

=== debian/changelog ===
libqapt (3.0.5.2-deepin2) unstable; urgency=medium

  * Add unistd.h to avoid build errors on aarch64 architecture.
    - Add patch 0003-add-unistd-header-fix-arm64-error.patch

 -- renbin <renbin@uniontech.com>  Mon, 23 Oct 2023 16:36:14 +0800

libqapt (3.0.5.1-1-deepin1) unstable; urgency=medium

  * New version 3.0.5.1-1-deepin1

 -- huangzhenglin <huangzhenglin@uniontech.com>  Wed, 4 Jan 2023 16:35:35 +0800

libqapt (3.0.5-1+deepin1~) unstable; urgency=medium

  * Add dde-polkit-agent depend for libqapt3-runtime
  * Add patch 0001-add-zh_CN-translate.patch
  * Add patch 0002-add-interface-get-provides-version.patch

 -- wangzhengyang <wangzhengyang@uniontech.com>  Fri, 30 Dec 2022 11:08:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,40 @@
 Source: libqapt
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               extra-cmake-modules,
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Kai Wasserbäch <curan@debian.org>,
+           Floris-Andrei Stoica-Marcu <floris.sm@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>,
+           José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 0.0.14),
                gettext,
-               libapt-pkg-dev,
-               libkf5auth-dev,
-               libpolkit-qt5-1-dev,
+               libapt-pkg-dev (>= 0.8.0),
+               libdebconf-kde-dev (>= 1.0.0),
+               libglib2.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libkf5auth-dev (>= 5.0.0),
+               libkf5coreaddons-dev (>= 5.0.0),
+               libkf5i18n-dev (>= 5.0.0),
+               libkf5iconthemes-dev (>= 5.0.0),
+               libkf5kio-dev (>= 5.0.0),
+               libkf5plasma-dev,
+               libkf5runner-dev (>= 5.0.0),
+               libkf5textwidgets-dev (>= 5.0.0),
+               libkf5widgetsaddons-dev (>= 5.0.0),
+               libkf5windowsystem-dev (>= 5.0.0),
+               libpolkit-qt5-1-dev (>= 0.112),
                libxapian-dev,
-               pkgconf,
-               pkg-kde-tools,
-               qtbase5-dev,
+               pkg-config,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.8.0),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.7.2
-Homepage: https://invent.kde.org/system/libqapt
+Standards-Version: 4.5.0
+Homepage: https://cgit.kde.org/libqapt.git/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qapt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qapt.git
 
@@ -41,7 +58,7 @@
 Multi-Arch: same
 Depends: libapt-pkg-dev,
          libqapt3 (= ${binary:Version}),
-         qtbase5-dev,
+         qtbase5-dev (>= 5.2.0),
          ${misc:Depends}
 Description: Development headers for the QApt library
  LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
@@ -53,7 +70,7 @@
 
 Package: libqapt3-runtime
 Architecture: any
-Depends: polkit-kde-agent-1 | polkit-1-auth-agent,
+Depends: dde-polkit-agent | polkit-kde-agent-1 | policykit-1-gnome,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Runtime components for the QApt library
@@ -64,3 +81,83 @@
  .
  This package contains the runtime components necessary for applications using
  the QApt library to run.
+
+Package: qapt-utils
+Architecture: all
+Depends: kde-thumbnailer-deb (>= ${source:Version}),
+         plasma-runner-installer (>= ${source:Version}),
+         qapt-batch (>= ${source:Version}),
+         qapt-deb-installer (>= ${source:Version}),
+         ${misc:Depends}
+Recommends: gstreamer-qapt
+Description: complete collection of QApt package management utilities
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ This is a metapackage depending on all of QApt's extra package management
+ utilities.
+
+Package: qapt-batch
+Architecture: any
+Depends: libqapt3-runtime (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Batch package manager for KDE
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ QApt Batch is a simple GUI for doing batch package management operations.
+ It can install and remove packages, as well as update the package cache via a
+ command line interface. It also has an attach function invokable via the
+ command line. QApt Batch is a drop-in replacement for the "install-package"
+ batch package management tool.
+
+Package: qapt-deb-installer
+Architecture: any
+Depends: libqapt3-runtime (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: tool for installing deb files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ The QApt deb installer allows you to install local .deb files. The QApt Deb
+ Installer resolves and downloads dependencies. The APT package manager does
+ the same, but only for remote packages.
+
+Package: plasma-runner-installer
+Architecture: any
+Depends: qapt-batch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: command-not-found
+Description: KRunner plugin for installing packages
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ This KRunner plugin offers the option to install an application if its
+ command is typed in to KRunner and the application is not already
+ installed.
+
+Package: kde-thumbnailer-deb
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Enhances: dolphin, konqueror
+Description: KDE plugin to show thumbnails of Debian package files
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
+ packages (.deb files) as thumbnails.
+
+Package: gstreamer-qapt
+Architecture: any
+Depends: libqapt3-runtime (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
+Breaks: gstreamer0.10-qapt (<< 3~), gstreamer1.0-qapt (<< 3~)
+Description: GStreamer plugin to install codecs using QApt
+ QApt is a collection of tools and a library providing a wrapper around
+ APT. The intention is to ease the use of APT in Qt-based programs.
+ .
+ This package provides a plugin for the GStreamer multimedia framework
+ to search and to install audio and video codecs.
